curl --request PUT \
--url https://api.gotrebol.com/verifications/{verification-id}/add-items \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"items": [
{
"type": "doc_validation",
"options": {
"file_url": "https://www.googleapis.com/downloadableFile"
},
"tags": {
"some": "tag value"
}
}
]
}
'[
{
"id": 25440,
"item_status": "pending",
"item_type": "ubos",
"item_value": {},
"item_options": {
"upload_url": "<string>",
"is_optional": true
}
}
]Agregar items a una verificacion
Agregar items a una verificación existente
Agrega nuevos items/documentos a una verificación específica usando el id de la verificación.
Flujo de trabajo:
- Paso 2 (Validación): Agregar items tipo
doc_validationpara validar documentos - Paso 5 (Extracción): Agregar items de extracción real (
ac_mx,csf_mx, etc.) basados en resultados de validación
PUT
/
verifications
/
{verification-id}
/
add-items
curl --request PUT \
--url https://api.gotrebol.com/verifications/{verification-id}/add-items \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"items": [
{
"type": "doc_validation",
"options": {
"file_url": "https://www.googleapis.com/downloadableFile"
},
"tags": {
"some": "tag value"
}
}
]
}
'[
{
"id": 25440,
"item_status": "pending",
"item_type": "ubos",
"item_value": {},
"item_options": {
"upload_url": "<string>",
"is_optional": true
}
}
]Authorizations
Path Parameters
El ID de la verificación.
Body
application/json
Una lista de ítems o documentos que serán agregados a la verificación, cada item debe tener un tipo y opciones.
Show child attributes
Show child attributes
Response
Items agregados exitosamente a la verificación.
ID del ítem/documento.
Example:
25440
Estado del ítem/documento.
Available options:
pending, complete Example:
"pending"
Tipo de ítem/documento.
Example:
"ubos"
Valores especificos del ítem/documento.
Opciones adicionales del ítem/documento que afectan al proceso interno del mismo.
Show child attributes
Show child attributes
Was this page helpful?